Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234789 (perl-Return-Value) - Review Request: perl-Return-Value - Polymorphic Return Values
Summary: Review Request: perl-Return-Value - Polymorphic Return Values
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Return-Value
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-Email-Send
TreeView+ depends on / blocked
 
Reported: 2007-04-01 23:18 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 22:38:43 UTC
rc040203: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-01 23:18:58 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Return-Value.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Return-Value-1.302-1.src.rpm
Description: 
This module provides polymorphic return values with a simple API that should
get you what you're looking for in each context a return value is used in.

Comment 1 Ralf Corsepius 2007-04-02 05:06:28 UTC
Two minor issues:

1.

# rpmbuild ...
...
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
WARNING: LICENSE is not a known parameter.
...
=> This is a minor bug inside of Makefile.PL

Removing the line containing "LICENSE" would remove this warning.

2. 
...
t/perl-critic.....skipped
        all skipped: define PERL_TEST_CRITIC to run these tests
...
I'd recommend to change 
make test 
into
make test PERL_TEST_CRITIC=1

and to BR: perl(Test::Perl::Critic)

Nevertheless, I am approving this package.

APPROVED


Comment 2 Tom "spot" Callaway 2007-04-02 14:34:16 UTC
New Package CVS Request
=======================
Package Name: perl-Return-Value
Short Description: Polymorphic Return Values
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Tom "spot" Callaway 2007-04-04 22:38:43 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.